Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.intro.config
Interface IStandbyContentPart

public interface IStandbyContentPart

An Intro standby part. It is a UI component that represents some standby content. Standby parts can be contributed to the Eclipse intro using the following extension point:

      <extension point="org.eclipse.ui.intro.configExtension">
     	<standbyPart
    		pluginId="org.eclipse.ui.intro"
    		class="org.eclipse.ui.internal.intro.impl.parts.ContextHelpStandbyPart"
    		id="org.eclipse.ui.intro.contextHelp">
    	</standbyPart>
      </extension>

Standby content parts have a life cycle that starts with a call to init, shortly after part construction, followed by a call to createPartControl. During these two calls, the part is responsible for creating its content and using the memento to try to recreate its previous state. SetInput is the last method called when trying to create a standby part.

Since:
  3.0

Method Summary
`void` | `createPartControl(Composite parent, FormToolkit toolkit)` Creates the SWT controls for this standby part.
`void` | `dispose()` Disposes of this standby part.
`Control` | `getControl()` Returns the primary control associated with this standby part.
`void` | `init(IIntroPart introPart, IMemento memento)` Initializes this intro standby content part with the given intro site.
`void` | `saveState(IMemento memento)` Saves the object state within a memento.
`void` | `setFocus()` Asks this standby part to take focus.
`void` | `setInput(Object input)` Sets the input to show in this standby part.

Method Detail

### createPartControl

    public void createPartControl(Composite parent,
                                  FormToolkit toolkit)

  Creates the SWT controls for this standby part.

  Clients should not call this method. The intro framework calls this method when it needs to.

  Parameters:
    `parent` - the parent control
    `toolkit` - the form toolkit being used by the IIntroPart implementation

### getControl

    public Control getControl()

  Returns the primary control associated with this standby part.

  Returns:
    the SWT control which displays this standby part's content, or `null` if this standby part's controls have not yet been created.

### init

    public void init(IIntroPart introPart,
                     IMemento memento)

  Initializes this intro standby content part with the given intro site. A memento is passed to the part which contains a snapshot of the part state from a previous session. Where possible, the part should try to recreate that state.

  This method is automatically called by the workbench shortly after part construction. It marks the start of this parts' lifecycle. Clients must not call this method.

  Parameters:
    `introPart` - the intro part hosting this stanndby content part.
    `memento` - this part state or `null` if there is no previous saved state
  Throws:
    `PartInitException` - if this part was not initialized successfully.

### setInput

    public void setInput(Object input)

  Sets the input to show in this standby part. Note that input can be null, such as when the part if created through an Intro URL that does not have an input specified, or when this standby part is being recreated from a previous workbench session. In this case, the standby part is responsible for handling a null input, and recreating itself from a cached IMemento.

  Parameters:
    `input` - the input object to be used by this standby part.

### setFocus

    public void setFocus()

  Asks this standby part to take focus.

  Clients should not call this method (the intro framework calls this method at appropriate times).

### dispose

    public void dispose()

  Disposes of this standby part.

  Clients should not call this method. The intro framework calls this method when the Customizable IntroPart is closed.

### saveState

    public void saveState(IMemento memento)

  Saves the object state within a memento.

  This method is automatically called by the workbench at appropriate times. Clients must not call this method directly.

  Parameters:
    `memento` - a memento to receive the object state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.